Package org.drinkless.tdlib

# Class TdApi.EditStoryCover

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.EditStoryCover

Enclosing class:
  `TdApi`

public static class TdApi.EditStoryCover extends TdApi.Function<TdApi.Ok>
Changes cover of a video story. Can be called only if story.canBeEdited == true and the story isn't being edited now.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `coverFrameTimestamp`
  New timestamp of the frame, which will be used as video thumbnail.
  `int`
  `storyId`
  Identifier of the story to edit.
  `long`
  `storyPosterChatId`
  Identifier of the chat that posted the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditStoryCover()`
  Default constructor for a function, which changes cover of a video story.
  `EditStoryCover(long storyPosterChatId, int storyId, double coverFrameTimestamp)`
  Creates a function, which changes cover of a video story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    Identifier of the chat that posted the story.

  - ### storyId

    public int storyId
    Identifier of the story to edit.

  - ### coverFrameTimestamp

    public double coverFrameTimestamp
    New timestamp of the frame, which will be used as video thumbnail.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditStoryCover

    public EditStoryCover()
    Default constructor for a function, which changes cover of a video story. Can be called only if story.canBeEdited == true and the story isn't being edited now.

    Returns `Ok`

  - ### EditStoryCover

    public EditStoryCover(long storyPosterChatId, int storyId, double coverFrameTimestamp)
    Creates a function, which changes cover of a video story. Can be called only if story.canBeEdited == true and the story isn't being edited now.

    Returns `Ok`

    Parameters:
      `storyPosterChatId` - Identifier of the chat that posted the story.
      `storyId` - Identifier of the story to edit.
      `coverFrameTimestamp` - New timestamp of the frame, which will be used as video thumbnail.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR